Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Transaction..::.Commit Method (Boolean)
Transaction Class See Also Send Feedback

End the transaction.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public void Commit(
    	bool syncLog
    )

Visual Basic (Declaration)
    Public Sub Commit ( _
    	syncLog As Boolean _
    )

Visual C++
    public:
    void Commit(
    	bool syncLog
    )

#### Parameters

syncLog
  Type: System..::.Boolean
  If true, synchronously flush the log.

# Remarks

Synchronously flushing the log is the default for Berkeley DB environments unless TxnNoSync was specified. Synchronous log flushing may also be set or unset for a single transaction using BeginTransaction()()(). The value of syncLog overrides both of those settings.

# See Also

Transaction Class
Commit Overload
BerkeleyDB Namespace